GtkPlotPrint
3
GTKEXTRA Library

# GtkPlotPrint

## Synopsis

    #include <gtkextra.h>

    gboolean            gtk_plot_export_ps                  (GtkPlot *plot,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotPageSize page_size);
    gboolean            gtk_plot_export_ps_with_size        (GtkPlot *plot,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotUnits units,
                                                             gint width,
                                                             gint height);
    gboolean            gtk_plot_canvas_export_ps           (GtkPlotCanvas *canvas,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotPageSize page_size);
    gboolean            gtk_plot_canvas_export_ps_with_size (GtkPlotCanvas *canvas,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotUnits units,
                                                             gint width,
                                                             gint height);
    gboolean            gtk_plot_canvas_export_cairo        (GtkPlotCanvas *canvas,
                                                             cairo_t *cairo);

## Description

FIXME:: Need long description.

## Details

### gtk_plot_export_ps ()

    gboolean            gtk_plot_export_ps                  (GtkPlot *plot,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotPageSize page_size);

`plot` :

  a GtkPlot

`file_name` :

`orient` :

`epsflag` :

`page_size` :

Returns :

### gtk_plot_export_ps_with_size ()

    gboolean            gtk_plot_export_ps_with_size        (GtkPlot *plot,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotUnits units,
                                                             gint width,
                                                             gint height);

`plot` :

  a GtkPlot

`file_name` :

`orient` :

`epsflag` :

`units` :

`width` :

`height` :

Returns :

### gtk_plot_canvas_export_ps ()

    gboolean            gtk_plot_canvas_export_ps           (GtkPlotCanvas *canvas,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotPageSize page_size);

`canvas` :

  a GtkPlotCanvas .

`file_name` :

`orient` :

`epsflag` :

`page_size` :

Returns :

### gtk_plot_canvas_export_ps_with_size ()

    gboolean            gtk_plot_canvas_export_ps_with_size (GtkPlotCanvas *canvas,
                                                             char *file_name,
                                                             GtkPlotPageOrientation orient,
                                                             gboolean epsflag,
                                                             GtkPlotUnits units,
                                                             gint width,
                                                             gint height);

`canvas` :

  a GtkPlotCanvas .

`file_name` :

`orient` :

`epsflag` :

`units` :

`width` :

`height` :

Returns :

### gtk_plot_canvas_export_cairo ()

    gboolean            gtk_plot_canvas_export_cairo        (GtkPlotCanvas *canvas,
                                                             cairo_t *cairo);

`canvas` :

  a GtkPlotCanvas .

`cairo` :

Returns :